QGIS Application - Feature request #15084
Show Z value in "Current map coordinate"
2016-06-20 01:58 AM - Francisco Raga

Status: Open

Priority: Low

Assignee:

Category: Rasters

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23026
Description

Currently the "Current map coordinate" textbox only shows the X and Y values.

If the user has loaded a layer with Z values or a MDT, when he passes the cursor over the pixels, it would be great if it shows the 3 values
X,Y and Z.

if there is no Z value,then show 0.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-05-06 10:58 PM - Regis Haubourg
- Priority changed from Normal to Low

- Category set to Rasters
- Description updated

Hi, there can be many DEM loaded and many Z informations at the same place. What you ask for would require a setting to choose which reference DEM
to use. | think this is pretty close to what the "Value Tool" plugin does.

#3 - 2017-05-08 10:57 AM - Giovanni Manghi

Regis Haubourg wrote:

| think this is pretty close to what the "Value Tool" plugin does.

And this to me always raised the question/problem: there are a few 3rd party plugin that are SO fundamental (value tool, group stats and a few others) that
is really surprising that the devs always overlooked their implementation into core qgis.
